<div class="modal-dialog">    
  <!-- Modal content-->
  <div class="modal-content">
    <div class="modal-header">
      <h4 class="modal-title">Add City</h4>
      <button type="button" class="close" data-dismiss="modal">&times;</button>  
    </div>

  <div class="modal-body">
    <form  action="/addCity/{{activeCountry}}" method="post" role="form">
    {{ cityForm.csrf }}
    <div class="form-group">
      <label for="cityName1">Name:</label>
      <input type="text" class="form-control" id="newCity" name="newCity[]" placeholder="E.g. Rome">
      <div id="newCityContainer"/>
      <br>
      <a href="#" id="filldetails" onclick="addFields()">Add More Cities</a>
      <br>
    </div>
  <button type="submit" class="btn btn-success">Save</button>
    </form>  
 </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
  </div>
</div>
</div>

<script>
  function addFields(){
    var container = document.getElementById("newCityContainer");

    container.appendChild(document.createTextNode("Name: "));
    container.appendChild(document.createElement("br"));

    var input = document.createElement("input");
    input.type = "text";
    input.placeholder = "E.g. Rome";
    input.name = "newCity[]";
    input.classList.add("form-control");
    container.appendChild(input);

    container.appendChild(document.createElement("br"));
  }
</script>